import numpy as np
import matplotlib
import matplotlib.pyplot as plt

matplotlib.rcParams['font.family'] = "Times New Roman"
matplotlib.rcParams['pdf.fonttype'] = 42
matplotlib.rcParams['ps.fonttype'] = 42

plt.rc('mathtext', fontset='cm')
plt.rcParams.update({"font.size": 18})

fig = plt.figure(figsize=(14, 5))

plt.subplot(1, 2, 1)
results_wo = [0.926, 0.787, 0.851, 0.878]
results_w =  [0.939, 0.963, 0.951, 0.956]
x = np.arange(4)

bar1 = plt.bar(x, results_wo, width=0.2, color="#299D90", label="training w/o synthesized anomalies.")
bar2 = plt.bar(x+0.3, results_w, width=0.2, color="#E66F51", label="training w/ synthesized anomalies.")
plt.bar_label(bar1, fontsize=12)
plt.bar_label(bar2, fontsize=12)
plt.legend()
plt.ylim([0, 1.5])
plt.xticks(x+0.15, ["Precision", "Recall", "F1-score", "Accuracy"])
plt.yticks([0., 0.2, 0.4, 0.6, 0.8, 1.0])
plt.xlabel("(a)")


plt.subplot(1, 2, 2)
results_wo = [0.924, 0.762, 0.836, 0.867]
results_w =  [0.938, 0.950, 0.944, 0.950]
x = np.arange(4)

bar1 = plt.bar(x, results_wo, width=0.2, color="#299D90", label="training w/o synthesized anomalies.")
bar2 = plt.bar(x+0.3, results_w, width=0.2, color="#E66F51", label="training w/ synthesized anomalies.")
plt.bar_label(bar1, fontsize=12)
plt.bar_label(bar2, fontsize=12)
plt.legend()
plt.ylim([0, 1.5])
plt.xticks(x+0.15, ["Precision", "Recall", "F1-score", "Accuracy"])
plt.yticks([0., 0.2, 0.4, 0.6, 0.8, 1.0])
plt.xlabel("(b)")

fig.savefig("ablation_results.eps", dpi=300,
            format="eps", facecolor="w", edgecolor="w", bbox_inches="tight")
plt.show()