import numpy as np
import matplotlib
import matplotlib.pyplot as plt

matplotlib.rcParams['font.family'] = "Times New Roman"
matplotlib.rcParams['pdf.fonttype'] = 42
matplotlib.rcParams['ps.fonttype'] = 42

plt.rc('mathtext', fontset='cm')
plt.rcParams.update({"font.size": 22})

fig = plt.figure(figsize=(12, 10))


plt.subplot(2, 2, 1)
y = [8, 9, 10, 8, 9, 10, 10.5]*4
for i in range(len(y)):
    y[i] += np.random.randint(-1, 1)*0.1
x = np.arange(len(y))

plt.plot(x, y, ".-", markersize=8)
plt.xticks([0, 3, 6, 7, 10, 13, 14, 17, 20, 21, 24, 27], ["", "Week 1", "", "", "Week 2", "", "", "Week 3", "", "", "Week 4", ""])
plt.ylabel("Electricity consumption (kWh)")
plt.xlabel("(a)")
plt.ylim([7.8, 10.8])
plt.grid()


plt.subplot(2, 2, 2)
y = [8, 9, 10, 8, 9, 10, 10.5]*4
for i in range(len(y)):
    y[i] += np.random.randint(-1, 1)*0.1
y[20] = 10.7
x = np.arange(len(y))

plt.plot(x, y, ".-", markersize=8)
plt.plot(20, 10.7, ".r", markersize=12)
plt.xticks([0, 3, 6, 7, 10, 13, 14, 17, 20, 21, 24, 27], ["", "Week 1", "", "", "Week 2", "", "", "Week 3", "", "", "Week 4", ""])
plt.ylabel("Electricity consumption (kWh)")
plt.xlabel("(b)")
plt.ylim([7.8, 10.8])
plt.grid()

plt.subplot(2, 2, 3)
y = [8, 9, 10, 8, 9, 10, 10.5]*4
for i in range(len(y)):
    y[i] += np.random.randint(-1, 1)*0.1
y[19] = 8.8
x = np.arange(len(y))

plt.plot(x, y, ".-", markersize=8)
plt.plot(19, 8.8, ".r", markersize=12)
plt.xticks([0, 3, 6, 7, 10, 13, 14, 17, 20, 21, 24, 27], ["", "Week 1", "", "", "Week 2", "", "", "Week 3", "", "", "Week 4", ""])
plt.ylabel("Electricity consumption (kWh)")
plt.xlabel("(c)")
plt.ylim([7.8, 10.8])
plt.grid()


plt.subplot(2, 2, 4)
y = [8, 9, 10, 8, 9, 10, 10.5]*4
for i in range(len(y)):
    y[i] += np.random.randint(-1, 1)*0.1
y[21] = 9.2
y[22] = 9.0
y[23] = 9.3
y[24] = 9.1
x = np.arange(len(y))

plt.plot(x, y, ".-", markersize=8)
plt.plot([21, 22, 23, 24], [9.2, 9.0, 9.3, 9.1], ".-r", markersize=12)
plt.xticks([0, 3, 6, 7, 10, 13, 14, 17, 20, 21, 24, 27], ["", "Week 1", "", "", "Week 2", "", "", "Week 3", "", "", "Week 4", ""])
plt.ylabel("Electricity consumption (kWh)")
plt.xlabel("(d)")
plt.ylim([7.8, 10.8])
plt.grid()


plt.subplots_adjust(wspace=0.3, hspace=0.3)
fig.savefig("figures/anomaly_types.eps", dpi=300,
            format="eps", facecolor="w", edgecolor="w", bbox_inches="tight")

plt.show()