import numpy as np
import matplotlib
import matplotlib.pyplot as plt

matplotlib.rcParams['font.family'] = "Times New Roman"
matplotlib.rcParams['pdf.fonttype'] = 42
matplotlib.rcParams['ps.fonttype'] = 42

plt.rc('mathtext', fontset='cm')
plt.rcParams.update({"font.size": 16})

fig = plt.figure(figsize=(8, 4))
y = np.loadtxt("tsclass_-1.csv")
plt.plot(y[220:370])
plt.xticks([])
plt.yticks([])
ax = plt.gca()
ax.spines["top"].set_linewidth(1.5)
ax.spines["right"].set_linewidth(1.5)
ax.spines["left"].set_linewidth(1.5)
ax.spines["bottom"].set_linewidth(1.5)
fig.savefig("figures/ts_input.png", dpi=300,
            format="png", facecolor="w", edgecolor="w", bbox_inches="tight")
plt.show()